Subject: Re: bug#411: 23.0.60; flet and byte-compilation

From: Glenn Morris <[email-masked]>
Date: Sun, 19 Oct 2008 21:05:31 -0400

Glenn Morris wrote:

> Perhaps flet need a byte-compiler handler that looks at the functions
> being bound in the flet, and temporarily (while the flet body is being
> compiled) removes any special byte-compile properties they might have.

The problem with this is that there doesn't seem to be a way to
specify byte-compile handlers for macros (except macros at top-level).
The compile functions always just call `macroexpand' before doing
anything else.